c
c    Copyright (C) 1997  Peter Vernon Lanspeary
c
c    This program is free software; you can redistribute it and/or modify
c    it under the terms of the GNU General Public License as published by
c    the Free Software Foundation; either version 2 of the License, or
c    (at your option) any later version.
c
c    This program is distributed in the hope that it will be useful,
c    but WITHOUT ANY WARRANTY; without even the implied warranty of
c    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c    GNU General Public License for more details.
c
c    You should have received a copy of the GNU General Public License
c    along with this program; if not, write to the Free Software
c    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
c

c
c              Test program for serial and parallel I/O
c


      implicit none
      integer *2  item, iunit, iport, i, j, n, io_read, io_write,
     1  io_gets, io_puts
      integer *4  ibaud
      logical *1 bytes(80), io_serial, fok, io_paral, io_close
      character *80 Cstr
c
1     write( 6, 2 )
2     format( ' item 0=exit, 1=serial, 2=write, 3=read 4=parallel ',
     1  ' 5=close, 6=get, 7=put ? ' )
      read( 5, *, end=99 ) item
      if ( item .le. 0 ) then
        stop
      else if ( item .eq. 1 ) then
        write( 6, 3 )
3       format( ' logical unit ? ' )
        read( 5, * ) iunit
        write( 6, 4 )
4       format( ' port no., baud rate ? ' )
        read( 5, * ) iport, ibaud
        fok = io_serial( iunit, iport, ibaud )
        write( 6, 10 ) fok
10      format( ' io_serial ', l3 )
      else if ( item .eq. 2 ) then
        write( 6, 3 )
        read( 5, * ) iunit
        write( 6, 5 )
5       format( ' nbytes ? ' )
        read( 5, * ) n
        write( 6, 6 ) n
6       format( ' ', i8, ' bytes ' )
        read( 5, 7 ) ( bytes(i), i = 1, n )
7       format( 40z2 )
        j = io_write( iunit, bytes, n )
        write( 6, 8 ) j
8       format( ' io_write = ', i8 )
      else if ( item .eq. 3 ) then
        write( 6, 3 )
        read( 5, * ) iunit
        write( 6, 5 )
        read( 5, * ) n
        j = io_read( iunit, bytes, n )
        write( 6, 9 ) n, j, ( bytes(i), i = 1, n )
9       format( ' nbytes ', i8, ' io_read ', i8, ' bytes' /
     1    ( 1x, 40z2 ) )
      else if ( item .eq. 4 ) then
        write( 6, 3 )
        read( 5, * ) iunit
        write( 6, 11 )
11      format( ' port no. ? ' )
        read( 5, * ) iport
        fok = io_paral( iunit, iport )
        write( 6, 12 ) fok
12      format( ' io_paral ', l3 )
      else if ( item .eq. 5 ) then
        write( 6, 3 )
        read( 5, * ) iunit
        fok = io_close( iunit )
        write( 6, 13 ) fok
13      format( ' io_close ', l3 )
      else if ( item .eq. 6 ) then
        write( 6, 3 )
        read( 5, * ) iunit
        write( 6, 5 )
        read( 5, * ) n
        j = io_gets( iunit, Cstr(1:n) )
        write( 6, 14 ) n, j, Cstr(1:n)
14      format( ' nbytes ', i8, ' io_get ', i8, ' bytes' / 1x, a )
      else if ( item .eq. 7 ) then
        write( 6, 3 )
        read( 5, * ) iunit
        write( 6, 5 )
        read( 5, * ) n
        write( 6, 6 ) n
        read( 5, 15 ) Cstr(1:n)
15      format( a )
        j = io_puts( iunit, bytes, n )
        write( 6, 16 ) j
16      format( ' io_puts = ', i8 )
        end if
      goto 1
99    stop
      end
