/*
    Copyright (C) 1997  Peter Vernon Lanspeary

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * ************************************************************************
 *
 *      SYSTEM dependent stuff for PVL's code
 *
 ******** copy this file into your source code directory and include ********
 ******** it first into your source code with `#include "system.h'   ********
 *
*/

/*
 * NOTE :
 *  1)  If you are using Power C, the symbol _POWERC_, and one of _LARGE_,
 *      _MEDIUM_, and _SMALL_ should be defined.
 *  2)  If you are using Borland Turbo C, the symbol _TURBOC_, and one of
 *      _HUGE_, _LARGE_, _COMPACT_, _MEDIUM_, _SMALL_ and _TINY_ should be
 *      defined.
*/
/* #define _POWERC_     1 */
/* #define _TURBOC_     1 */
/* #define _HUGE_       1 */
/* #define _LARGE_      1 */
/* #define _COMPACT_    1 */
/* #define _MEDIUM_     1 */
/* #define _SMALL_      1 */
/* #define _TINY_       1 */


/*
 *      use the following symbols for including header files
*/
#define POINTER_HEADER      "pointer.h"
#define STD_TYPE_HEADER     "std_type.h"

/* ************************************************************************ */
