c
c    Copyright (C) 1997  Peter Vernon Lanspeary
c
c    This program is free software; you can redistribute it and/or modify
c    it under the terms of the GNU General Public License as published by
c    the Free Software Foundation; either version 2 of the License, or
c    (at your option) any later version.
c
c    This program is distributed in the hope that it will be useful,
c    but WITHOUT ANY WARRANTY; without even the implied warranty of
c    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c    GNU General Public License for more details.
c
c    You should have received a copy of the GNU General Public License
c    along with this program; if not, write to the Free Software
c    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
c

      PROGRAM TEST
c
c Test graphical data editing SFUDG2
c
      include 'stdio.def'
      integer MAX_COLS, MAX_POINTS, MAX_TRIES
      real    PI
      parameter( MAX_COLS=4, MAX_POINTS=44, MAX_TRIES=4, PI=3.1415926 )
c
      integer abscissa, ordinate, i, item, increm, n_points, Jresp
      real x(MAX_POINTS,MAX_COLS), xx
c
c
      abscissa = 1
      ordinate = 2
      n_points = MAX_POINTS
      increm = 1
10    i = 1
      do 11 xx = 0.0, 10.0 * PI, 10.0 * PI / ( MAX_POINTS - 10 )
          x(i,1) = xx
          x(i,2) = sin(xx)
          x(i,3) = cos(xx)
          x(i,4) = tan(xx)
          i = i + 1
11        continue
      call ilgopen( ' ' )
c     start of loop
1         call newscr()
          write( STD_OUT, 2 ) abscissa, ordinate, n_points, increm
2         format( ' 0) Exit' /
     1            ' 1) Abscissa         ', i4 /
     2            ' 2) Ordinate         ', i4 /
     3            ' 3) Number of points ', i4 /
     4            ' 4) Increment        ', i4 /
     5            ' 5) Recalculate data' /
     6            ' 6) Edit  ', $ )
          item = Jresp( STD_IN, 0, 6, MAX_TRIES )
          if ( item .eq. 0 ) then
              stop
          else if ( item .eq. 1 ) then
              write( STD_OUT, 3 )
3             format( ' ? ', $ )
              abscissa = Jresp( STD_IN, 1, MAX_COLS, MAX_TRIES )
          else if ( item .eq. 2 ) then
              write( STD_OUT, 3 )
              ordinate = Jresp( STD_IN, 1, MAX_COLS, MAX_TRIES )
          else if ( item .eq. 3 ) then
              write( STD_OUT, 3 )
              n_points = Jresp( STD_IN, 1,
     1            ( MAX_POINTS - 1 ) / max( 1, increm ) + 1, MAX_TRIES )
          else if ( item .eq. 4 ) then
              write( STD_OUT, 3 )
              increm = Jresp( STD_IN, 1, 4, MAX_TRIES )
          else if ( item .eq. 5 ) then
              goto 10
          else if ( item .eq. 6 ) then
              call sfudg2( x, abscissa, ordinate, MAX_POINTS, MAX_COLS,
     1                     increm, n_points, n_points )
              call ilgclos()
              end if
          goto 1
c         end of loop
      end


