c
c    Copyright (C) 1997  Peter Vernon Lanspeary
c
c    This program is free software; you can redistribute it and/or modify
c    it under the terms of the GNU General Public License as published by
c    the Free Software Foundation; either version 2 of the License, or
c    (at your option) any later version.
c
c    This program is distributed in the hope that it will be useful,
c    but WITHOUT ANY WARRANTY; without even the implied warranty of
c    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c    GNU General Public License for more details.
c
c    You should have received a copy of the GNU General Public License
c    along with this program; if not, write to the Free Software
c    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
c


      PROGRAM CPMLOD
c
c       Downloads a file to the CPM SBC using the same format as CPMTALK
c       CPMLOD assumes that there is a program DWNLOD in the SBC which is
c       capable of receiving the file .
c  Use :-
c   cpmlod {file_name}
c  The ASCII file {file_name} is sownloaded to the CPM system .
c
      implicit none
      integer *2 Hkbdlu, Hvdulu, Hcomlu, Hfillu, Hport, Hbaud,
     1  Hctrlq, Hctrlz
      parameter( Hkbdlu=5, Hvdulu=6, Hcomlu=11, Hfillu=12,
     1  Hport=1, Hbaud=2400, Hctrlq=17, Hctrlz=26 )
c
      integer *2 io_read, igo
      character Cfile*32, Cstr*256
      logical *1 Existf, io_serial
c
      if ( io_serial( Hcomlu, Hport, Hbaud ) ) then
        call getarg( 1, Cfile )
        if ( .not. Existf( Cfile ) ) goto 8
        open( UNIT=Hfillu, FILE=Cfile, STATUS='old', FORM='formatted',
     1        ACCESS='sequential', ERR=8 )
c
c           start DWNLOD
c
        call sendline( 'dwnlod ' // Cfile )
c
c           wait for ctrl q
c
c       repeat
1         igo = 0
          if ( io_read( Hcomlu, igo, 1 ) .ne. 1 ) then
            write( Hvdulu, 2 )
2           format( ' DWNLOD : can''t receive CTRL-Q' )
            end if
          igo = iand( 127, igo )
          if ( igo .ne. Hctrlq ) goto 1
c         until( got CTRL-Q )
c
c           read line of file & send it to SBC
c
          read( Hfillu, 4, END=7 ) Cstr
4         format( a )
          call sendline( Cstr )
          goto 1
c         end of loop
      else
        write( Hvdulu, 6 )
6       format( ' DWNLOD : FATAL : Cannot open serial port' )
        end if
7     Cstr = char( Hctrlz )
      call sendline( Cstr )
      stop
8     write( Hvdulu, 9 ) Cfile
9     format( ' DWNLOD : FATAL : Can''t open file ', a )
      stop
      end


      SUBROUTINE SENDLINE( CSTR )
c
c       sends a line to the SBC
c
      implicit none
      integer *2 Hcomlu, Hvdulu, Hret
      parameter( Hcomlu=11, Hvdulu=6, Hret=13 )
c
      integer *2 nchars, io_puts, io_gets
      character Cstr*(*), cret*1, chr*1
c
c           send characters
c
      cret = char( Hret )
      nchars = nblank( Cstr ) + 1
      Cstr(nchars:nchars) = cret
      if ( IO_puts( Hcomlu, Cstr(1:nchars) ) .ne. nchars ) then
        write( Hvdulu, 3 )
3       format( ' DWNLOD : Can''t send line' )
        end if
c
c           get & display string
c
      nchars = 0
c     repeat
4       if ( IO_gets( Hcomlu, chr ) .ne. 1 ) then
          write( Hvdulu, 5 )
5         format( ' DWNLOD : Can''t receive line' )
          end if
        nchars = nchars + 1
        Cstr(nchars:nchars) = chr
        if ( chr .ne. cret ) goto 4
c       until( got <RETURN> )
      write( Hvdulu, 6 ) charnb( Cstr )
6     format( 1x, a )
      return
      end
