c
c    Copyright (C) 1997  Peter Vernon Lanspeary
c
c    This program is free software; you can redistribute it and/or modify
c    it under the terms of the GNU General Public License as published by
c    the Free Software Foundation; either version 2 of the License, or
c    (at your option) any later version.
c
c    This program is distributed in the hope that it will be useful,
c    but WITHOUT ANY WARRANTY; without even the implied warranty of
c    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c    GNU General Public License for more details.
c
c    You should have received a copy of the GNU General Public License
c    along with this program; if not, write to the Free Software
c    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
c


c
c               ILGPLOT SYSTEM DEPENDENT CODE FOR VAX/VMS
c               *****************************************
c               This is included into the main program.
c
c
      real      data_array(MAX_DATA)
      character help_file*64, prog_args*128
c
      data help_file, prog_args / ' ', ' ' /
c
c       get full path and name of help file from environment name ILG_HELP
c
      call getenv( 'ILG_HELP', help_file )
      if ( help_file .eq. ' ' )
     1    help_file = 'ilghlp.hlp'
c
c       get all command line arguments into a single string
c
      if ( iand( lib$get_foreign( prog_args ), 1 ) .le. 0 )
     1    prog_args = ' '
c
c       Identification message
c
      write( STD_OUT, 3 )
 3         format( ' This is ILGPLOT version 2.0' /
     1        ' Copyright (C) 1997  Peter Vernon Lanspeary' /
     2        ' Type "help" or "dev help" for help.' /
     3        ' This is free software; type "warranty" and' /
     4        ' "licence"to see the warranty and licence' )
c
c       now can begin work
c
      call plot_switch( prog_args, data_array, help_file )
c

