c
c    Copyright (C) 1997  Peter Vernon Lanspeary
c
c    This program is free software; you can redistribute it and/or modify
c    it under the terms of the GNU General Public License as published by
c    the Free Software Foundation; either version 2 of the License, or
c    (at your option) any later version.
c
c    This program is distributed in the hope that it will be useful,
c    but WITHOUT ANY WARRANTY; without even the implied warranty of
c    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c    GNU General Public License for more details.
c
c    You should have received a copy of the GNU General Public License
c    along with this program; if not, write to the Free Software
c    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
c

      PROGRAM TEST
c
c Test graphical data editing SFUDGE
c
      include 'stdio.def'
      integer MAX_POINTS, MAX_TRIES
      real    PI
      parameter( MAX_POINTS=44, MAX_TRIES=4, PI=3.1415926 )
c
      integer i, item, increm, n_points, Jresp
      real x(MAX_POINTS), y(MAX_POINTS), xx
c
c
      increm = 1
10    i = 1
      do 11 xx = 0.0, 10.0 * PI, 10.0 * PI / ( MAX_POINTS - 10 )
          x(i) = xx
          y(i) = sin(xx)
          i = i + 1
11        continue
      n_points = i - 1
      call ilgopen( ' ' )
c     start of loop
1         call newscr()
          write( STD_OUT, 2 ) n_points, increm
2         format( ' 0) Exit' /
     1            ' 1) Number of points ', i4 /
     2            ' 2) Increment        ', i4 /
     3            ' 3) Recalculate data' /
     4            ' 4) Edit  ', $ )
          item = Jresp( STD_IN, 0, 4, MAX_TRIES )
          if ( item .eq. 0 ) then
              stop
          else if ( item .eq. 1 ) then
              write( STD_OUT, 3 )
3             format( ' ? ', $ )
              n_points = Jresp( STD_IN, 1,
     1            ( MAX_POINTS - 1 ) / max( 1, increm ) + 1, MAX_TRIES )
          else if ( item .eq. 2 ) then
              write( STD_OUT, 3 )
              increm = Jresp( STD_IN, 1, 4, MAX_TRIES )
          else if ( item .eq. 3 ) then
              goto 10
          else if ( item .eq. 4 ) then
              call sfudge( x, y, increm, n_points, n_points, MAX_POINTS)
              call ilgclos()
              end if
          goto 1
c         end of loop
      end


