c
c    Copyright (C) 1997  Peter Vernon Lanspeary
c
c    This program is free software; you can redistribute it and/or modify
c    it under the terms of the GNU General Public License as published by
c    the Free Software Foundation; either version 2 of the License, or
c    (at your option) any later version.
c
c    This program is distributed in the hope that it will be useful,
c    but WITHOUT ANY WARRANTY; without even the implied warranty of
c    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c    GNU General Public License for more details.
c
c    You should have received a copy of the GNU General Public License
c    along with this program; if not, write to the Free Software
c    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
c

      PROGRAM TEST_QTTS_DYN
c
c Test QTTS_DYN, TSC_NAME and TSC_FILE, which are in BARLIB.
c
      include 'stdio.def'
      include 'qtts_dyn.def'
      integer MAX_TRIES
      parameter( MAX_TRIES=4 )
c
      integer action, i, item, plug_no, poly_order, Jresp
      real calibration(TSC_POLY+MAX_POLY), cb_dyn, dummy, trip_diam,
     1     ts_dyn, Qresp, Qtts_Dyn
      logical TSC_ret, TSC_FILE
      character TSC_NAME*10
      data action, plug_no / 1, 3 /
      data cb_dyn, trip_diam, ts_dyn, calibration / 133.322, 4.76, 0.0,
     1     TSC_POLY * TSC_UNKNOWN, MAX_POLY * TSC_UNKNOWN /
c     start of loop                                                       1b
1         call newscr()
          write( STD_OUT, 2 ) TSC_NAME(action), cb_dyn,
     1        plug_no, trip_diam, ts_dyn, TSC_ret
2         format( ' Select' / '  0) Exit' /
     1        ' 1) TSC_FILE action            ', a /
     2        ' 2) pre-c''body dynamic press  ', g12.5, ' Pa' /
     3        ' 3) test section plug number   ', i2 /
     4        ' 4) trip-ball diameter         ', f7.3, ' mm' /
     5        ' 5) call QTTS_DYN( ... ) =>    ', g12.5 /
     6        ' 6) call TSC_FILE( ... ) =>    ', l1 /
     7        ' 7) display calibration ', $ )
          item = Jresp( STD_IN, 0, 7, MAX_TRIES )
          if ( item .eq. 0 ) then                                         2b
              stop
c
c           TSC_FILE action
c
          else if ( item .eq. 1 ) then                                    2m
              write( STD_OUT, 3 ) ( i, TSC_NAME(i), i = 1, 11 )
3             format( 1x, i2, ') ', a )
              action = Jresp( STD_IN, 1, 11, MAX_TRIES )
c
c           pre-centrebody dynamic pressure
c
          else if ( item .eq. 2 ) then                                    2m
              write( STD_OUT, 4 )
4             format( ' ? ', $ )
              cb_dyn = Qresp( STD_IN, 1.0, 100.0e3, MAX_TRIES )
c
c           test section plug number
c
          else if ( item .eq. 3 ) then                                    2m
              write( STD_OUT, 4 )
              plug_no = Jresp( STD_IN, 0, 15, MAX_TRIES )
c
c           trip-ball diameter
c
          else if ( item .eq. 4 ) then                                    2m
              write( STD_OUT, 4 )
              trip_diam = Qresp( STD_IN, 0.1, 100.0, MAX_TRIES )
c
c           call QTTS_DYN( ... )
c
          else if ( item .eq. 5 ) then                                    2m
              ts_dyn = QTTS_DYN( cb_dyn, plug_no, trip_diam )
              if ( ts_dyn .lt. -1.0 )
     1            call ilgwait()
c
c           call TSC_FILE( ... )
          else if ( item .eq. 6 ) then                                    2m
              TSC_ret = TSC_FILE( action, calibration )
              if ( TSC_FILE( TSC_ISBUG, dummy ) )
     1            call ilgwait()
c
c           print calibration
          else if ( item .eq. 7 ) then                                    2m
              TSC_ret = TSC_FILE( TSC_PRINT, calibration )
              call ilgwait()
              end if
          goto 1
c         end of loop                                                     1e
      end


